<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Basic modules &mdash; nanoaod-base-analysis user guide 0.1 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/design-style.4045f2051d55cab465a707391d5b2007.min.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinx_highlight.js"></script>
        <script src="../../_static/design-tabs.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="METfilters" href="METfilters.html" />
    <link rel="prev" title="BaseModules" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> nanoaod-base-analysis user guide
          </a>
              <div class="version">
                0.1.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../Structure.html">Structure of the framework</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../Configuration.html">Setting the configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../Environment.html">Setting the environment</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../Tasks.html">Executing tasks</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../api/index.html">API Reference</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Modules Reference</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="index.html">BaseModules</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="index.html#installation">Installation</a></li>
<li class="toctree-l3 current"><a class="reference internal" href="index.html#module-Base.Modules">RDFModules</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#">Basic modules</a></li>
<li class="toctree-l4"><a class="reference internal" href="METfilters.html">METfilters</a></li>
<li class="toctree-l4"><a class="reference internal" href="lumiFilter.html">Luminosity json filter</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../BTV/index.html">BTV</a></li>
<li class="toctree-l2"><a class="reference internal" href="../EGM/index.html">EGM</a></li>
<li class="toctree-l2"><a class="reference internal" href="../JME/index.html">JME</a></li>
<li class="toctree-l2"><a class="reference internal" href="../MUO/index.html">MUO</a></li>
<li class="toctree-l2"><a class="reference internal" href="../TAU/index.html">TAU</a></li>
<li class="toctree-l2"><a class="reference internal" href="../HHbbtt/index.html">HH-&gt;bbtt</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../faq/index.html">FAQ</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">nanoaod-base-analysis user guide</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../index.html">Modules Reference</a> &raquo;</li>
          <li><a href="index.html">BaseModules</a> &raquo;</li>
      <li>Basic modules</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/modules/BaseModules/baseModules.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="basic-modules">
<h1><a class="toc-backref" href="#id1" role="doc-backlink">Basic modules</a><a class="headerlink" href="#basic-modules" title="Permalink to this heading"></a></h1>
<nav class="contents" id="contents">
<p class="topic-title">Contents</p>
<ul class="simple">
<li><p><a class="reference internal" href="#basic-modules" id="id1">Basic modules</a></p>
<ul>
<li><p><a class="reference internal" href="#varfromvectorrdf" id="id2"><code class="docutils literal notranslate"><span class="pre">VarFromVectorRDF</span></code></a></p></li>
<li><p><a class="reference internal" href="#jetlepmetsyst" id="id3"><code class="docutils literal notranslate"><span class="pre">JetLepMetSyst</span></code></a></p></li>
</ul>
</li>
</ul>
</nav>
<section id="varfromvectorrdf">
<h2><a class="toc-backref" href="#id2" role="doc-backlink"><code class="docutils literal notranslate"><span class="pre">VarFromVectorRDF</span></code></a><a class="headerlink" href="#varfromvectorrdf" title="Permalink to this heading"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="Base.Modules.baseModules.VarFromVectorRDF">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">Base.Modules.baseModules.</span></span><span class="sig-name descname"><span class="pre">VarFromVectorRDF</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../../_modules/Base/Modules/baseModules.html#VarFromVectorRDF"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#Base.Modules.baseModules.VarFromVectorRDF" title="Permalink to this definition"></a></dt>
<dd><p>Bases:</p>
<p>Returns the element <cite>index</cite> of whatever input vectors</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>variables</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.11)"><em>list</em></a><em> of </em><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – input vectors</p></li>
<li><p><strong>index</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – index to get the element from the vectors</p></li>
<li><p><strong>input_prefix</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – prefix common to all vectors to be substituted</p></li>
<li><p><strong>output_prefix</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – prefix to use as output for all vectors</p></li>
<li><p><strong>condition</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – (optional) condition used to define or not the new variables</p></li>
</ul>
</dd>
</dl>
<p>YAML sintaxis:</p>
<div class="highlight-yaml notranslate"><div class="highlight"><pre><span></span><span class="nt">codename</span><span class="p">:</span>
<span class="w">    </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">VarFromVectorRDF</span>
<span class="w">    </span><span class="nt">path</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Base.Modules.BaseModules</span>
<span class="w">    </span><span class="nt">parameters</span><span class="p">:</span>
<span class="w">        </span><span class="nt">variables</span><span class="p">:</span><span class="w"> </span><span class="p p-Indicator">[</span><span class="nv">Jet_pt</span><span class="p p-Indicator">,</span><span class="w"> </span><span class="nv">Jet_eta</span><span class="p p-Indicator">]</span>
<span class="w">        </span><span class="nt">index</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">bjet_index</span>
<span class="w">        </span><span class="l l-Scalar l-Scalar-Plain">input_prefix = Jet</span>
<span class="w">        </span><span class="l l-Scalar l-Scalar-Plain">output_prefix = bjet</span>
</pre></div>
</div>
</dd></dl>

</section>
<section id="jetlepmetsyst">
<span id="basemodules-jetlepmetsyst"></span><h2><a class="toc-backref" href="#id3" role="doc-backlink"><code class="docutils literal notranslate"><span class="pre">JetLepMetSyst</span></code></a><a class="headerlink" href="#jetlepmetsyst" title="Permalink to this heading"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="Base.Modules.baseModules.JetLepMetSyst">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">Base.Modules.baseModules.</span></span><span class="sig-name descname"><span class="pre">JetLepMetSyst</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../../_modules/Base/Modules/baseModules.html#JetLepMetSyst"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#Base.Modules.baseModules.JetLepMetSyst" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Syst</span></code></p>
<p>Abstract module that includes systematics and central values for jets, electrons,
muons and taus into other modules.</p>
<p>Note that at most one lepton systematic can be different from its corresponden lepton
central. If this happen, that systematic will be included as <code class="docutils literal notranslate"><span class="pre">self.lepton_syst</span></code>.</p>
<p>All systematics different from their corresponding central values will be joined
and included into <code class="docutils literal notranslate"><span class="pre">self.systs</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>jet_central</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – central appendix for the jets. Default: <code class="docutils literal notranslate"><span class="pre">nom</span></code> (smearing).</p></li>
<li><p><strong>jet_syst</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – systematic appendix for the jets. Default: <code class="docutils literal notranslate"><span class="pre">nom</span></code> (smearing).</p></li>
<li><p><strong>muon_central</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – central appendix for the muons. Default: <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code>.</p></li>
<li><p><strong>muon_syst</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – systematic appendix for the muons. Default: <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code>.</p></li>
<li><p><strong>electron_central</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – central appendix for the electrons. Default: <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code>.</p></li>
<li><p><strong>electron_syst</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – systematic appendix for the electrons. Default: <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code>.</p></li>
<li><p><strong>tau_central</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – central appendix for the taus. Default: <code class="docutils literal notranslate"><span class="pre">corr</span></code> (tes).</p></li>
<li><p><strong>tau_syst</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – systematic appendix for the taus. Default: <code class="docutils literal notranslate"><span class="pre">corr</span></code> (tes).</p></li>
<li><p><strong>met_central</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – central appendix for the met. Default: <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code>.</p></li>
<li><p><strong>met_syst</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – systematic appendix for the met. Default: <code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code>.</p></li>
<li><p><strong>met_smear_tag</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.11)"><em>str</em></a>) – smearing tag used for the met. Default: <code class="docutils literal notranslate"><span class="pre">smeared</span></code></p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="BaseModules" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="METfilters.html" class="btn btn-neutral float-right" title="METfilters" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>